statistics-0.16.3.0: A library of statistical types, data, and functions

Copyright | (C) 2012 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | DeriveDataTypeable
Safe Haskell | None
Language | Haskell2010

Statistics.Distribution.Beta

Contents

- Constructor
- Accessors

Description

Synopsis

- data BetaDistribution
- betaDistr :: Double -> Double -> BetaDistribution
- betaDistrE :: Double -> Double -> Maybe BetaDistribution
- improperBetaDistr :: Double -> Double -> BetaDistribution
- improperBetaDistrE :: Double -> Double -> Maybe BetaDistribution
- bdAlpha :: BetaDistribution -> Double
- bdBeta :: BetaDistribution -> Double

# Documentation

data BetaDistribution #

The beta distribution

#### Instances

Instances details

FromJSON BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods parseJSON :: Value -> Parser BetaDistribution # parseJSONList :: Value -> Parser [BetaDistribution] # omittedField :: Maybe BetaDistribution #
ToJSON BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods toJSON :: BetaDistribution -> Value # toEncoding :: BetaDistribution -> Encoding # toJSONList :: [BetaDistribution] -> Value # toEncodingList :: [BetaDistribution] -> Encoding # omitField :: BetaDistribution -> Bool #
Binary BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods put :: BetaDistribution -> Put # get :: Get BetaDistribution # putList :: [BetaDistribution] -> Put #
Data BetaDistribution # |

Instance details

Defined in Statistics.Distribution.Beta

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> BetaDistribution -> c BetaDistribution #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c BetaDistribution #

toConstr :: BetaDistribution -> Constr #

dataTypeOf :: BetaDistribution -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c BetaDistribution) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c BetaDistribution) #

gmapT :: (forall b. Data b => b -> b) -> BetaDistribution -> BetaDistribution #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> BetaDistribution -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> BetaDistribution -> r #

gmapQ :: (forall d. Data d => d -> u) -> BetaDistribution -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> BetaDistribution -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> BetaDistribution -> m BetaDistribution #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> BetaDistribution -> m BetaDistribution #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> BetaDistribution -> m BetaDistribution #

Generic BetaDistribution # |

Instance details

Defined in Statistics.Distribution.Beta

Associated Types

type Rep BetaDistribution |

Instance details

Defined in Statistics.Distribution.Beta

type Rep BetaDistribution = D1 ('MetaData "BetaDistribution" "Statistics.Distribution.Beta" "statistics-0.16.3.0-JhFVwN7Kv9y2XSvDlj54t" 'False) (C1 ('MetaCons "BD" 'PrefixI 'True) (S1 ('MetaSel ('Just "bdAlpha") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double) :*: S1 ('MetaSel ('Just "bdBeta") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double)))

Methods

from :: BetaDistribution -> Rep BetaDistribution x #

to :: Rep BetaDistribution x -> BetaDistribution #

Read BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods readsPrec :: Int -> ReadS BetaDistribution # readList :: ReadS [BetaDistribution] # readPrec :: ReadPrec BetaDistribution # readListPrec :: ReadPrec [BetaDistribution] #
Show BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods showsPrec :: Int -> BetaDistribution -> ShowS # show :: BetaDistribution -> String # showList :: [BetaDistribution] -> ShowS #
Eq BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods (==) :: BetaDistribution -> BetaDistribution -> Bool # (/=) :: BetaDistribution -> BetaDistribution -> Bool #
ContDistr BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods density :: BetaDistribution -> Double -> Double # logDensity :: BetaDistribution -> Double -> Double # quantile :: BetaDistribution -> Double -> Double # complQuantile :: BetaDistribution -> Double -> Double #
ContGen BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods genContVar :: StatefulGen g m => BetaDistribution -> g -> m Double #
Distribution BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods cumulative :: BetaDistribution -> Double -> Double # complCumulative :: BetaDistribution -> Double -> Double #
Entropy BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods entropy :: BetaDistribution -> Double #
MaybeEntropy BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods maybeEntropy :: BetaDistribution -> Maybe Double #
MaybeMean BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods maybeMean :: BetaDistribution -> Maybe Double #
MaybeVariance BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods maybeVariance :: BetaDistribution -> Maybe Double # maybeStdDev :: BetaDistribution -> Maybe Double #
Mean BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods mean :: BetaDistribution -> Double #
Variance BetaDistribution # |
Instance details Defined in Statistics.Distribution.Beta Methods variance :: BetaDistribution -> Double # stdDev :: BetaDistribution -> Double #
type Rep BetaDistribution # |

Instance details

Defined in Statistics.Distribution.Beta

type Rep BetaDistribution = D1 ('MetaData "BetaDistribution" "Statistics.Distribution.Beta" "statistics-0.16.3.0-JhFVwN7Kv9y2XSvDlj54t" 'False) (C1 ('MetaCons "BD" 'PrefixI 'True) (S1 ('MetaSel ('Just "bdAlpha") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double) :*: S1 ('MetaSel ('Just "bdBeta") 'SourceUnpack 'SourceStrict 'DecidedStrict) (Rec0 Double)))

# Constructor

betaDistr #

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> BetaDistribution |

Create beta distribution. Both shape parameters must be positive.

betaDistrE #

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> Maybe BetaDistribution |

Create beta distribution. Both shape parameters must be positive.

improperBetaDistr #

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> BetaDistribution |

Create beta distribution. Both shape parameters must be non-negative. So it allows to construct improper beta distribution which could be used as improper prior.

improperBetaDistrE #

Arguments

:: Double | Shape parameter alpha
-> Double | Shape parameter beta
-> Maybe BetaDistribution |

Create beta distribution. Both shape parameters must be non-negative. So it allows to construct improper beta distribution which could be used as improper prior.

# Accessors

bdAlpha :: BetaDistribution -> Double #

Alpha shape parameter

bdBeta :: BetaDistribution -> Double #

Beta shape parameter